Loading...
Searching...
No Matches
exception.h File Reference
`#include <exception>`
`#include <iostream>`
`#include <memory>`
`#include <stdexcept>`
`#include <vector>`
`#include "MQTTAsync.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::exception
class | mqtt::missing_response
class | mqtt::timeout_error
class | mqtt::persistence_exception
class | mqtt::security_exception

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::bad_cast = std::bad_cast

## Functions

std::ostream & | mqtt::operator<< (std::ostream &os, const exception &exc)

## Detailed Description

Declaration of MQTT exception class

Date
  May 1, 2013

Author
  Frank Pagliughi